=== modified file 'order_types/stock_view.xml'
--- order_types/stock_view.xml	2011-05-27 09:58:19 +0000
+++ order_types/stock_view.xml	2012-01-05 16:19:51 +0000
@@ -44,9 +44,9 @@
                     <xpath expr="/form/group[5]" position="after">
                         <group colspan="2" col="2" groups="base.group_extended">
                             <separator string="Order Traceability" />
-                            <field name="order_type" />
-                            <field name="order_category" />
-                            <field name="order_priority" />
+                            <field name="order_type" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
+                            <field name="order_category" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
+                            <field name="order_priority" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
                         </group>
                     </xpath>
                 </data>
@@ -109,9 +109,9 @@
                     <xpath expr="/form/group[5]" position="after">
                         <group> 
                             <separator string="Order Traceability" />
-                            <field name="order_type" />
-                            <field name="order_category" />
-                            <field name="order_priority" />
+                            <field name="order_type" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
+                            <field name="order_category" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
+                            <field name="order_priority" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
                         </group>
                     </xpath>
                 </data>

=== modified file 'reason_types_moves/stock_view.xml'
--- reason_types_moves/stock_view.xml	2011-12-14 16:38:08 +0000
+++ reason_types_moves/stock_view.xml	2012-01-05 16:19:51 +0000
@@ -48,8 +48,8 @@
             <field name="inherit_id" ref="stock.view_move_form" />
             <field name="arch" type="xml">
                 <xpath expr="/form//field[@name='tracking_id']" position="before">
-        	    	<field name="reason_type_id" widget="selection" attrs="{'readonly': [('state', 'not in', ('draft', 'confirmed', 'assigned'))]}" />
-                    <field name="comment" />
+        	    	<field name="reason_type_id" widget="selection" attrs="{'readonly': [('state', 'not in', ('draft', 'waiting', 'confirmed', 'assigned'))]}" />
+                    <field name="comment" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
                 </xpath>
             </field>
         </record>
@@ -62,7 +62,7 @@
             <field name="arch" type="xml">
             	<data>
                 	<xpath expr="/form//field[@name='tracking_id']" position="before">
-                        <field name="reason_type_id" widget="selection" attrs="{'readonly': [('state', 'not in', ('draft', 'confirmed', 'assigned'))]}" />
+                        <field name="reason_type_id" widget="selection" attrs="{'readonly': [('state', 'not in', ('draft', 'waiting', 'confirmed', 'assigned'))]}" />
                     </xpath>
                 </data>
             </field>

=== modified file 'specific_rules/specific_rules_view.xml'
--- specific_rules/specific_rules_view.xml	2012-01-09 14:32:54 +0000
+++ specific_rules/specific_rules_view.xml	2012-01-10 15:34:15 +0000
@@ -387,16 +387,16 @@
 	                <field name="prodlot_id" position="replace">
 	                	<field name="prodlot_id" groups="base.group_extended"
 	                    	context="{'location_id':location_id, 'product_id':product_id, 'hidden_perishable_mandatory': hidden_perishable_mandatory,}"
-	                    	domain="[('product_id','=?',product_id), ('check_type','=', True),]"
+	                    	domain="[('product_id','=?',product_id), ('check_type','=', True),]" 
 	                    	on_change="onchange_lot_id(prodlot_id,product_qty, location_id, product_id, product_uom)" colspan="3"
 	                    	attrs="{'readonly': [('hidden_batch_management_mandatory','=',False), ('hidden_perishable_mandatory','=',False),],}" />
 	                    <field name="hidden_batch_management_mandatory" invisible="True" />
 	                    <field name="hidden_perishable_mandatory" invisible="True" />
-						<field name="expired_date" />
-	                  	<field name="kc_check" />
-	          			<field name="ssl_check" />
-	          			<field name="dg_check" />
-	          			<field name="np_check" />
+						<field name="expired_date" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
+	                  	<field name="kc_check" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
+	          			<field name="ssl_check" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
+	          			<field name="dg_check" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
+	          			<field name="np_check" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
 	                </field>
             	
             	</data>
@@ -420,11 +420,11 @@
 	                    	attrs="{'readonly': [('hidden_batch_management_mandatory','=',False), ('hidden_perishable_mandatory','=',False),],}" />
 	                    <field name="hidden_batch_management_mandatory" invisible="True" />
 	                    <field name="hidden_perishable_mandatory" invisible="True" />
-						<field name="expired_date" />
-	                  	<field name="kc_check" />
-	          			<field name="ssl_check" />
-	          			<field name="dg_check" />
-	          			<field name="np_check" />
+						<field name="expired_date" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
+	                  	<field name="kc_check" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
+	          			<field name="ssl_check" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
+	          			<field name="dg_check" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
+	          			<field name="np_check" attrs="{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}" />
 	                </field>
             	
             	</data>

=== modified file 'stock_override/stock_view.xml'
--- stock_override/stock_view.xml	2012-01-09 14:32:54 +0000
+++ stock_override/stock_view.xml	2012-01-10 15:34:15 +0000
@@ -14,6 +14,18 @@
             </field>
         </record>
 
+        <record id="view_picking_out_form_inherit_sale" model="ir.ui.view">
+            <field name="name">view.picking.form.out.inherit.sale</field>
+            <field name="model">stock.picking</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="sale.stock_picking_out_inherit_sale" />
+            <field name="arch" type="xml">
+                <xpath expr="/form//field[@name='sale_id']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'auto', 'assigned', 'confirmed'])]}</attribute>
+                </xpath>
+            </field>
+        </record>
+
         <record id="view_picking_form_inherit" model="ir.ui.view">
             <field name="name">view.picking.form.inherit</field>
             <field name="model">stock.picking</field>
@@ -115,6 +127,184 @@
                 </xpath>
             </field>
         </record>
+        
+        <record id="inherit_view_move_form" model="ir.ui.view">
+            <field name="name">inherit.view.move.form</field>
+            <field name="model">stock.move</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="stock.view_move_form" />
+            <field name="arch" type="xml">
+                <xpath expr="/form//field[@name='product_id']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='product_qty']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='product_uom']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='location_id']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='location_dest_id']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='address_id']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='picking_id']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='tracking_id']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='date_expected']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='name']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//button[@string='New pack']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//button[@string='Split']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+            </field>
+        </record>
+        
+        <record id="inherit_view_move_form_reception_picking" model="ir.ui.view">
+            <field name="name">inherit.view.move.form</field>
+            <field name="model">stock.move</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="stock.view_move_form_reception_picking" />
+            <field name="arch" type="xml">
+                <xpath expr="/form//field[@name='product_id']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='product_qty']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='product_uom']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='location_id']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='location_dest_id']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='address_id']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='picking_id']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='tracking_id']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='date_expected']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//field[@name='name']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//button[@string='New pack']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+                <xpath expr="/form//button[@string='Split']" position="attributes">
+                    <attribute name="attrs">{'readonly': [('state', 'not in', ['draft', 'waiting', 'confirmed', 'assigned'])]}</attribute>
+                </xpath>
+            </field>
+        </record>        
+
+        <record id="view_split_in_lots" model="ir.ui.view">
+            <field name="name">view.split.in.lots</field>
+            <field name="model">stock.move.split</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="stock.view_split_in_lots" />
+            <field name="arch" type="xml">
+                <data>
+                    <xpath expr="/form//field[@name='use_exist']" position="attributes">
+                        <attribute name="string">Ues existing batches</attribute>
+                    </xpath>
+                    <xpath expr="/form" position="attributes">
+                        <attribute name="string">Split in batches</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_ids']/tree" position="attributes">
+                        <attribute name="string">Batch numbers</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_ids']/tree/field[@name='name']" position="attributes">
+                        <attribute name="string">Batch numbers</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_ids']/form" position="attributes">
+                        <attribute name="string">Batch number</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_ids']/form/field[@name='name']" position="attributes">
+                        <attribute name="string">Batch number</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_exist_ids']/tree" position="attributes">
+                        <attribute name="string">Batch numbers</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_exist_ids']/tree/field[@name='prodlot_id']" position="attributes">
+                        <attribute name="string">Batch numbers</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_exist_ids']/form" position="attributes">
+                        <attribute name="string">Batch number</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_exist_ids']/form/field[@name='prodlot_id']" position="attributes">
+                        <attribute name="string">Batch number</attribute>
+                    </xpath>
+                </data>
+            </field>
+        </record>
+
+        <record id="view_split_in_lots_inherit" model="ir.ui.view">
+            <field name="name">Split Inventory Line</field>
+            <field name="model">stock.inventory.line.split</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="stock.view_split_in_lots_inherit" />
+            <field name="arch" type="xml">
+                <data>
+
+                    <xpath expr="/form//field[@name='use_exist']" position="attributes">
+                        <attribute name="string">Ues existing batches</attribute>
+                    </xpath>
+                    <xpath expr="/form" position="attributes">
+                        <attribute name="string">Split in batches</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_ids']/tree" position="attributes">
+                        <attribute name="string">Batch numbers</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_ids']/tree/field[@name='name']" position="attributes">
+                        <attribute name="string">Batch numbers</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_ids']/form" position="attributes">
+                        <attribute name="string">Batch number</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_ids']/form/field[@name='name']" position="attributes">
+                        <attribute name="string">Batch number</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_exist_ids']/tree" position="attributes">
+                        <attribute name="string">Batch numbers</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_exist_ids']/tree/field[@name='prodlot_id']" position="attributes">
+                        <attribute name="string">Batch numbers</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_exist_ids']/form" position="attributes">
+                        <attribute name="string">Batch number</attribute>
+                    </xpath>
+                    <xpath expr="/form//field[@name='line_exist_ids']/form/field[@name='prodlot_id']" position="attributes">
+                        <attribute name="string">Batch number</attribute>
+                    </xpath>
+
+                </data>
+            </field>
+        </record>
+
+        <record id="stock.track_line" model="ir.actions.act_window">
+            <field name="name">Split in batches</field>
+        </record>
 
         <record id="batch_view_inventory_tree" model="ir.ui.view">
             <field name="name">batch.view.inventory.tree</field>

=== modified file 'transport_mgmt/stock_view.xml'
--- transport_mgmt/stock_view.xml	2011-12-07 12:56:22 +0000
+++ transport_mgmt/stock_view.xml	2012-01-04 15:59:52 +0000
@@ -13,7 +13,7 @@
                     <xpath expr="/form/notebook/page[@string='Transport Information']/group" position="before">
                         <group colspan="3" col="3">
                             <separator colspan="3" string="Transport Purchase Order" />
-                            <field name="transport_order_id" colspan="3" />
+                            <field name="transport_order_id" colspan="3" attrs="{'readonly': [('state', 'not in', ['draft', 'auto', 'assigned', 'confirmed'])]}" />
                         </group>
                         <newline />
                     </xpath>
@@ -31,7 +31,7 @@
                 <data>
             
                     <xpath expr="/form/notebook/page[@string='Additional info']/field[@name='type']" position="after">
-                        <field name="transport_order_id" />
+                        <field name="transport_order_id" attrs="{'readonly': [('state', 'not in', ['draft', 'auto', 'assigned', 'confirmed'])]}" />
                     </xpath>
 
                 </data>

